---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK8_x86-64_mac_Personal/build/macosx-x86_64-normal-server-release/jdk/lib/libosxui.dylib'
relocations:
  - { offsetInCU: 0x27, offset: 0x27, size: 0x8, addend: 0x0, symName: _Java_com_apple_laf_AquaFileView_getNativePathToSharedJDKBundle, symObjAddr: 0x0, symBinAddr: 0x4C60, symSize: 0xE6 }
  - { offsetInCU: 0x1E1, offset: 0x1E1, size: 0x8, addend: 0x0, symName: _Java_com_apple_laf_AquaFileView_getNativePathToSharedJDKBundle, symObjAddr: 0x0, symBinAddr: 0x4C60, symSize: 0xE6 }
  - { offsetInCU: 0x2AD5, offset: 0x2AD5, size: 0x8, addend: 0x0, symName: _Java_com_apple_laf_AquaFileView_getNativeMachineName, symObjAddr: 0xE6, symBinAddr: 0x4D46, symSize: 0xE1 }
  - { offsetInCU: 0x2C12, offset: 0x2C12, size: 0x8, addend: 0x0, symName: _Java_com_apple_laf_AquaFileView_getNativeLSInfo, symObjAddr: 0x1C7, symBinAddr: 0x4E27, symSize: 0x20C }
  - { offsetInCU: 0x2F1B, offset: 0x2F1B, size: 0x8, addend: 0x0, symName: _Java_com_apple_laf_AquaFileView_getNativeDisplayName, symObjAddr: 0x3D3, symBinAddr: 0x5033, symSize: 0x262 }
  - { offsetInCU: 0x3218, offset: 0x3218, size: 0x8, addend: 0x0, symName: _Java_com_apple_laf_AquaFileView_getNativePathForResolvedAlias, symObjAddr: 0x635, symBinAddr: 0x5295, symSize: 0x20E }
  - { offsetInCU: 0x27, offset: 0x3619, size: 0x8, addend: 0x0, symName: _JNI_OnLoad, symObjAddr: 0x0, symBinAddr: 0x54A3, symSize: 0xB }
  - { offsetInCU: 0x34, offset: 0x3626, size: 0x8, addend: 0x0, symName: _JNI_OnLoad, symObjAddr: 0x0, symBinAddr: 0x54A3, symSize: 0xB }
  - { offsetInCU: 0x27, offset: 0x3769, size: 0x8, addend: 0x0, symName: _Java_com_apple_laf_AquaNativeResources_getWindowBackgroundColor, symObjAddr: 0x0, symBinAddr: 0x54AE, symSize: 0x8 }
  - { offsetInCU: 0x60, offset: 0x37A2, size: 0x8, addend: 0x0, symName: _Java_com_apple_laf_AquaNativeResources_getWindowBackgroundColor, symObjAddr: 0x0, symBinAddr: 0x54AE, symSize: 0x8 }
  - { offsetInCU: 0x27, offset: 0x5FFC, size: 0x8, addend: 0x0, symName: __InitializeJRSProperties, symObjAddr: 0x0, symBinAddr: 0x54B6, symSize: 0x298 }
  - { offsetInCU: 0x34, offset: 0x6009, size: 0x8, addend: 0x0, symName: __InitializeJRSProperties, symObjAddr: 0x0, symBinAddr: 0x54B6, symSize: 0x298 }
  - { offsetInCU: 0x5B, offset: 0x6030, size: 0x8, addend: 0x0, symName: __InitializeJRSProperties.initialized, symObjAddr: 0x8228, symBinAddr: 0xCB30, symSize: 0x0 }
  - { offsetInCU: 0x78, offset: 0x604D, size: 0x8, addend: 0x0, symName: __InitializeJRSProperties.coherent, symObjAddr: 0x8229, symBinAddr: 0xCB31, symSize: 0x0 }
  - { offsetInCU: 0x290, offset: 0x6265, size: 0x8, addend: 0x0, symName: _widgetKey, symObjAddr: 0x8288, symBinAddr: 0xCB90, symSize: 0x0 }
  - { offsetInCU: 0x2B7, offset: 0x628C, size: 0x8, addend: 0x0, symName: _stateKey, symObjAddr: 0x8290, symBinAddr: 0xCB98, symSize: 0x0 }
  - { offsetInCU: 0x2CC, offset: 0x62A1, size: 0x8, addend: 0x0, symName: _sizeKey, symObjAddr: 0x8298, symBinAddr: 0xCBA0, symSize: 0x0 }
  - { offsetInCU: 0x2E1, offset: 0x62B6, size: 0x8, addend: 0x0, symName: _directionKey, symObjAddr: 0x82A0, symBinAddr: 0xCBA8, symSize: 0x0 }
  - { offsetInCU: 0x2F6, offset: 0x62CB, size: 0x8, addend: 0x0, symName: _orientationKey, symObjAddr: 0x82A8, symBinAddr: 0xCBB0, symSize: 0x0 }
  - { offsetInCU: 0x30B, offset: 0x62E0, size: 0x8, addend: 0x0, symName: _verticalAlignmentKey, symObjAddr: 0x82B0, symBinAddr: 0xCBB8, symSize: 0x0 }
  - { offsetInCU: 0x320, offset: 0x62F5, size: 0x8, addend: 0x0, symName: _horizontalAlignmentKey, symObjAddr: 0x82B8, symBinAddr: 0xCBC0, symSize: 0x0 }
  - { offsetInCU: 0x335, offset: 0x630A, size: 0x8, addend: 0x0, symName: _positionKey, symObjAddr: 0x82C0, symBinAddr: 0xCBC8, symSize: 0x0 }
  - { offsetInCU: 0x34A, offset: 0x631F, size: 0x8, addend: 0x0, symName: _pressedPartKey, symObjAddr: 0x82C8, symBinAddr: 0xCBD0, symSize: 0x0 }
  - { offsetInCU: 0x35F, offset: 0x6334, size: 0x8, addend: 0x0, symName: _variantKey, symObjAddr: 0x82D0, symBinAddr: 0xCBD8, symSize: 0x0 }
  - { offsetInCU: 0x374, offset: 0x6349, size: 0x8, addend: 0x0, symName: _windowTypeKey, symObjAddr: 0x82D8, symBinAddr: 0xCBE0, symSize: 0x0 }
  - { offsetInCU: 0x389, offset: 0x635E, size: 0x8, addend: 0x0, symName: _maximumValueKey, symObjAddr: 0x82E0, symBinAddr: 0xCBE8, symSize: 0x0 }
  - { offsetInCU: 0x39E, offset: 0x6373, size: 0x8, addend: 0x0, symName: _animationStartTimeKey, symObjAddr: 0x82E8, symBinAddr: 0xCBF0, symSize: 0x0 }
  - { offsetInCU: 0x3B3, offset: 0x6388, size: 0x8, addend: 0x0, symName: _animationTimeKey, symObjAddr: 0x82F0, symBinAddr: 0xCBF8, symSize: 0x0 }
  - { offsetInCU: 0x3C8, offset: 0x639D, size: 0x8, addend: 0x0, symName: _focusedKey, symObjAddr: 0x8230, symBinAddr: 0xCB38, symSize: 0x0 }
  - { offsetInCU: 0x3DD, offset: 0x63B2, size: 0x8, addend: 0x0, symName: _indicatorOnlyKey, symObjAddr: 0x8238, symBinAddr: 0xCB40, symSize: 0x0 }
  - { offsetInCU: 0x3F2, offset: 0x63C7, size: 0x8, addend: 0x0, symName: _noIndicatorKey, symObjAddr: 0x8240, symBinAddr: 0xCB48, symSize: 0x0 }
  - { offsetInCU: 0x407, offset: 0x63DC, size: 0x8, addend: 0x0, symName: _arrowsOnlyKey, symObjAddr: 0x8248, symBinAddr: 0xCB50, symSize: 0x0 }
  - { offsetInCU: 0x41C, offset: 0x63F1, size: 0x8, addend: 0x0, symName: _frameOnlyKey, symObjAddr: 0x8250, symBinAddr: 0xCB58, symSize: 0x0 }
  - { offsetInCU: 0x431, offset: 0x6406, size: 0x8, addend: 0x0, symName: _segmentTrailingSeparatorKey, symObjAddr: 0x8258, symBinAddr: 0xCB60, symSize: 0x0 }
  - { offsetInCU: 0x446, offset: 0x641B, size: 0x8, addend: 0x0, symName: _segmentLeadingSeparatorKey, symObjAddr: 0x8260, symBinAddr: 0xCB68, symSize: 0x0 }
  - { offsetInCU: 0x45B, offset: 0x6430, size: 0x8, addend: 0x0, symName: _nothingToScrollKey, symObjAddr: 0x8268, symBinAddr: 0xCB70, symSize: 0x0 }
  - { offsetInCU: 0x470, offset: 0x6445, size: 0x8, addend: 0x0, symName: _windowFrameDrawTitleSeparatorKey, symObjAddr: 0x8270, symBinAddr: 0xCB78, symSize: 0x0 }
  - { offsetInCU: 0x485, offset: 0x645A, size: 0x8, addend: 0x0, symName: _windowFrameDrawClippedKey, symObjAddr: 0x8278, symBinAddr: 0xCB80, symSize: 0x0 }
  - { offsetInCU: 0x4B4, offset: 0x6489, size: 0x8, addend: 0x0, symName: _valueKey, symObjAddr: 0x8280, symBinAddr: 0xCB88, symSize: 0x0 }
  - { offsetInCU: 0x624, offset: 0x65F9, size: 0x8, addend: 0x0, symName: __SyncEncodedProperties, symObjAddr: 0x298, symBinAddr: 0x574E, symSize: 0x4FE }
  - { offsetInCU: 0x1027, offset: 0x6FFC, size: 0x8, addend: 0x0, symName: _Java_apple_laf_JRSUIConstants_getPtrForConstant, symObjAddr: 0x796, symBinAddr: 0x5C4C, symSize: 0xD }
  - { offsetInCU: 0x27, offset: 0x984F, size: 0x8, addend: 0x0, symName: _Java_apple_laf_JRSUIControl_initNativeJRSUI, symObjAddr: 0x0, symBinAddr: 0x5C59, symSize: 0x35 }
  - { offsetInCU: 0x40, offset: 0x9868, size: 0x8, addend: 0x0, symName: _gRenderer, symObjAddr: 0xA560, symBinAddr: 0xCC10, symSize: 0x0 }
  - { offsetInCU: 0x22B, offset: 0x9A53, size: 0x8, addend: 0x0, symName: _Java_apple_laf_JRSUIControl_initNativeJRSUI, symObjAddr: 0x0, symBinAddr: 0x5C59, symSize: 0x35 }
  - { offsetInCU: 0x28A, offset: 0x9AB2, size: 0x8, addend: 0x0, symName: _Java_apple_laf_JRSUIControl_getPtrOfBuffer, symObjAddr: 0x35, symBinAddr: 0x5C8E, symSize: 0x14 }
  - { offsetInCU: 0x2F2, offset: 0x9B1A, size: 0x8, addend: 0x0, symName: _Java_apple_laf_JRSUIControl_getCFDictionary, symObjAddr: 0x49, symBinAddr: 0x5CA2, symSize: 0xC }
  - { offsetInCU: 0x367, offset: 0x9B8F, size: 0x8, addend: 0x0, symName: _Java_apple_laf_JRSUIControl_disposeCFDictionary, symObjAddr: 0x55, symBinAddr: 0x5CAE, symSize: 0x14 }
  - { offsetInCU: 0x2C6E, offset: 0xC496, size: 0x8, addend: 0x0, symName: _Java_apple_laf_JRSUIControl_syncChanges, symObjAddr: 0x69, symBinAddr: 0x5CC2, symSize: 0xC0 }
  - { offsetInCU: 0x2F73, offset: 0xC79B, size: 0x8, addend: 0x0, symName: _Java_apple_laf_JRSUIControl_paintToCGContext, symObjAddr: 0x129, symBinAddr: 0x5D82, symSize: 0x89 }
  - { offsetInCU: 0x3114, offset: 0xC93C, size: 0x8, addend: 0x0, symName: _Java_apple_laf_JRSUIControl_paintChangesToCGContext, symObjAddr: 0x1B2, symBinAddr: 0x5E0B, symSize: 0x154 }
  - { offsetInCU: 0x33AA, offset: 0xCBD2, size: 0x8, addend: 0x0, symName: _Java_apple_laf_JRSUIControl_paintImage, symObjAddr: 0x306, symBinAddr: 0x5F5F, symSize: 0x2B }
  - { offsetInCU: 0x34BC, offset: 0xCCE4, size: 0x8, addend: 0x0, symName: _doPaintImage, symObjAddr: 0x331, symBinAddr: 0x5F8A, symSize: 0x19C }
  - { offsetInCU: 0x37F4, offset: 0xD01C, size: 0x8, addend: 0x0, symName: _Java_apple_laf_JRSUIControl_paintChangesImage, symObjAddr: 0x4CD, symBinAddr: 0x6126, symSize: 0x113 }
  - { offsetInCU: 0x3A17, offset: 0xD23F, size: 0x8, addend: 0x0, symName: _Java_apple_laf_JRSUIControl_getNativeHitPart, symObjAddr: 0x5E0, symBinAddr: 0x6239, symSize: 0x91 }
  - { offsetInCU: 0x3B9C, offset: 0xD3C4, size: 0x8, addend: 0x0, symName: _Java_apple_laf_JRSUIUtils_00024ScrollBar_shouldUseScrollToClick, symObjAddr: 0x671, symBinAddr: 0x62CA, symSize: 0xA }
  - { offsetInCU: 0x3BEB, offset: 0xD413, size: 0x8, addend: 0x0, symName: _Java_apple_laf_JRSUIControl_getNativePartBounds, symObjAddr: 0x67B, symBinAddr: 0x62D4, symSize: 0xF4 }
  - { offsetInCU: 0x3DBD, offset: 0xD5E5, size: 0x8, addend: 0x0, symName: _Java_apple_laf_JRSUIControl_getNativeScrollBarOffsetChange, symObjAddr: 0x76F, symBinAddr: 0x63C8, symSize: 0x94 }
  - { offsetInCU: 0x27, offset: 0xD794, size: 0x8, addend: 0x0, symName: _Java_apple_laf_JRSUIFocus_beginNativeFocus, symObjAddr: 0x0, symBinAddr: 0x645C, symSize: 0x1D }
  - { offsetInCU: 0x7D, offset: 0xD7EA, size: 0x8, addend: 0x0, symName: _Java_apple_laf_JRSUIFocus_beginNativeFocus, symObjAddr: 0x0, symBinAddr: 0x645C, symSize: 0x1D }
  - { offsetInCU: 0x14F, offset: 0xD8BC, size: 0x8, addend: 0x0, symName: _Java_apple_laf_JRSUIFocus_endNativeFocus, symObjAddr: 0x1D, symBinAddr: 0x6479, symSize: 0x19 }
  - { offsetInCU: 0x27, offset: 0x10156, size: 0x8, addend: 0x0, symName: '-[NativeToJavaDelegate initFromMenu:javaObj:]', symObjAddr: 0x0, symBinAddr: 0x6494, symSize: 0x75 }
  - { offsetInCU: 0x42, offset: 0x10171, size: 0x8, addend: 0x0, symName: '-[NativeToJavaDelegate menuWillOpen:]', symObjAddr: 0x87, symBinAddr: 0x651B, symSize: 0x10C }
  - { offsetInCU: 0x67, offset: 0x10196, size: 0x8, addend: 0x0, symName: '_menuWillOpen:._jm_ScreenMenu_invokeOpenLater', symObjAddr: 0x1018, symBinAddr: 0xC928, symSize: 0x0 }
  - { offsetInCU: 0x279, offset: 0x103A8, size: 0x8, addend: 0x0, symName: '-[NativeToJavaDelegate menuDidClose:]', symObjAddr: 0x193, symBinAddr: 0x6627, symSize: 0x10C }
  - { offsetInCU: 0x29E, offset: 0x103CD, size: 0x8, addend: 0x0, symName: '_menuDidClose:._jm_ScreenMenu_invokeMenuClosing', symObjAddr: 0x1050, symBinAddr: 0xC960, symSize: 0x0 }
  - { offsetInCU: 0x3A3, offset: 0x104D2, size: 0x8, addend: 0x0, symName: '-[NativeToJavaDelegate handleJavaMenuItemTargetedAtIndex:rect:]', symObjAddr: 0x29F, symBinAddr: 0x6733, symSize: 0x132 }
  - { offsetInCU: 0x3C8, offset: 0x104F7, size: 0x8, addend: 0x0, symName: '_handleJavaMenuItemTargetedAtIndex:rect:._jm_ScreenMenu_updateSelectedItem', symObjAddr: 0x1078, symBinAddr: 0xC988, symSize: 0x0 }
  - { offsetInCU: 0x54C, offset: 0x1067B, size: 0x8, addend: 0x0, symName: '-[NativeToJavaDelegate handleJavaMouseEvent:]', symObjAddr: 0x3D1, symBinAddr: 0x6865, symSize: 0x21F }
  - { offsetInCU: 0x571, offset: 0x106A0, size: 0x8, addend: 0x0, symName: '_handleJavaMouseEvent:._jm_ScreenMenu_handleMouseEvent', symObjAddr: 0x10A0, symBinAddr: 0xC9B0, symSize: 0x0 }
  - { offsetInCU: 0x768, offset: 0x10897, size: 0x8, addend: 0x0, symName: _sjc_ScreenMenu, symObjAddr: 0x1040, symBinAddr: 0xC950, symSize: 0x0 }
  - { offsetInCU: 0x488A, offset: 0x149B9, size: 0x8, addend: 0x0, symName: '-[NativeToJavaDelegate initFromMenu:javaObj:]', symObjAddr: 0x0, symBinAddr: 0x6494, symSize: 0x75 }
  - { offsetInCU: 0x490C, offset: 0x14A3B, size: 0x8, addend: 0x0, symName: '-[NativeToJavaDelegate menu]', symObjAddr: 0x75, symBinAddr: 0x6509, symSize: 0x12 }
  - { offsetInCU: 0x717E, offset: 0x172AD, size: 0x8, addend: 0x0, symName: '-[NativeToJavaDelegate nsmenu]', symObjAddr: 0x5F0, symBinAddr: 0x6A84, symSize: 0xA }
  - { offsetInCU: 0x71B0, offset: 0x172DF, size: 0x8, addend: 0x0, symName: '-[NativeToJavaDelegate setNsmenu:]', symObjAddr: 0x5FA, symBinAddr: 0x6A8E, symSize: 0xF }
  - { offsetInCU: 0x71EB, offset: 0x1731A, size: 0x8, addend: 0x0, symName: '-[NativeToJavaDelegate javaObjectWrapper]', symObjAddr: 0x609, symBinAddr: 0x6A9D, symSize: 0xA }
  - { offsetInCU: 0x721D, offset: 0x1734C, size: 0x8, addend: 0x0, symName: '-[NativeToJavaDelegate setJavaObjectWrapper:]', symObjAddr: 0x613, symBinAddr: 0x6AA7, symSize: 0xF }
  - { offsetInCU: 0x7258, offset: 0x17387, size: 0x8, addend: 0x0, symName: _Java_com_apple_laf_ScreenMenu_addMenuListeners, symObjAddr: 0x622, symBinAddr: 0x6AB6, symSize: 0x171 }
  - { offsetInCU: 0x73B9, offset: 0x174E8, size: 0x8, addend: 0x0, symName: ___Java_com_apple_laf_ScreenMenu_addMenuListeners_block_invoke, symObjAddr: 0x793, symBinAddr: 0x6C27, symSize: 0x6F }
  - { offsetInCU: 0x7448, offset: 0x17577, size: 0x8, addend: 0x0, symName: ___copy_helper_block_e8_32o, symObjAddr: 0x802, symBinAddr: 0x6C96, symSize: 0x17 }
  - { offsetInCU: 0x746E, offset: 0x1759D, size: 0x8, addend: 0x0, symName: ___destroy_helper_block_e8_32o, symObjAddr: 0x819, symBinAddr: 0x6CAD, symSize: 0x13 }
  - { offsetInCU: 0x748B, offset: 0x175BA, size: 0x8, addend: 0x0, symName: _Java_com_apple_laf_ScreenMenu_removeMenuListeners, symObjAddr: 0x82C, symBinAddr: 0x6CC0, symSize: 0x101 }
  - { offsetInCU: 0x7581, offset: 0x176B0, size: 0x8, addend: 0x0, symName: ___Java_com_apple_laf_ScreenMenu_removeMenuListeners_block_invoke, symObjAddr: 0x92D, symBinAddr: 0x6DC1, symSize: 0x6F }
  - { offsetInCU: 0x27, offset: 0x17DE5, size: 0x8, addend: 0x0, symName: _Java_com_apple_laf_ScreenPopupFactory__1getHeavyWeightPopup, symObjAddr: 0x0, symBinAddr: 0x6E30, symSize: 0x108 }
  - { offsetInCU: 0x15B, offset: 0x17F19, size: 0x8, addend: 0x0, symName: __jm_getPopup, symObjAddr: 0x170, symBinAddr: 0xCAF8, symSize: 0x0 }
  - { offsetInCU: 0x170, offset: 0x17F2E, size: 0x8, addend: 0x0, symName: _sjc_PopupFactory, symObjAddr: 0x198, symBinAddr: 0xCB20, symSize: 0x0 }
  - { offsetInCU: 0x1A5, offset: 0x17F63, size: 0x8, addend: 0x0, symName: _Java_com_apple_laf_ScreenPopupFactory__1getHeavyWeightPopup, symObjAddr: 0x0, symBinAddr: 0x6E30, symSize: 0x108 }
...
